Delete a specific promotion - Fabric

Delete a specific promotion

cURL

curl --request DELETE \
  --url https://live.copilot.fabric.inc/api-offers/promo/{promoId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-site-context: <x-site-context>'

Python

import requests

url = "https://live.copilot.fabric.inc/api-offers/promo/{promoId}"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.delete(url, headers=headers)

print(response.text)

JavaScript (Fetch API)

const options = {
  method: 'DELETE',
  headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://live.copilot.fabric.inc/api-offers/promo/{promoId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://live.copilot.fabric.inc/api-offers/promo/{promoId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",  
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "DELETE",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "x-site-context: <x-site-context>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>

Go

package main

import (
    "fmt"
    "net/http"
    "io"
)

func main() {

url := "https://live.copilot.fabric.inc/api-offers/promo/{promoId}"

req, _ := http.NewRequest("DELETE", url, nil)

req.Header.Add("x-site-context", "<x-site-context>")
    req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Response Examples

Success Response (200)

{
  "_id": "abcdefg1ee7ce20123456789",
  "promoId": 100013,
  "promoCodes": [
    "SUMMER100",
    "SUMMER20"
  ],
  "state": "SCHEDULED",
  "isImplicit": true,
  "title": "CREATE PROMO",
  "buyOperator": "OR",
  "promo": [
    {
      "discount": [
        {
          "unit": "%OFF",
          "value": 10,
          "ON": {
            "kind": "SKU",
            "value": "*",
            "quantity": 2,
            "includeOperator": "OR",
            "excludeOperator": "AND"
          },
          "discountId": 1,
          "autoAdd": false,
          "set": []
        }
      ],
      "targetProducts": [
        {
          "kind": "SKU",
          "value": "*",
          "operator": "IN",
          "discountId": 1
        }
      ],
      "condition": [
        "620d84a715f2d00001234567"
      ]
    }
  ],
  "startDate": "2019-08-24T14:15:22Z",
  "endDate": "2019-08-25T14:15:22Z",
  "isExclusive": true,
  "type": "PRODUCT",
  "stackingType": "STACKABLE",
  "level": 1,
  "termsAndConditions": [
    {
      "title": "Terms Applied",
      "description": "Items cannot be exchanged"
    }
  ],
  "promotionMessages": [
    {
      "title": "Buy 1 get 1 free",
      "message": "Offer valid at participating stores through September 5, 2023.",
      "pages": [
        "PDP",
        "Cart"
      ],
      "locales": [
        "en-CA",
        "fr-CA"
      ]
    }
  ],
  "proximityMessages": [
    {
      "threshold": 1,
      "localizedMessages": [
        {
          "locales": [
            "<string>"
          ],
          "message": "<string>"
        }
      ]
    }
  ],
  "shipmentMethodIds": [
    1000001
  ],
  "eligiblePriceList": [
    10000056
  ],
  "limits": [
    {
      "kind": "ORDER",
      "value": 2
    }
  ],
  "note": "Independence day sale!",
  "createdAt": "2019-08-20T14:15:22Z",
  "updatedAt": "2019-08-20T14:15:22Z",
  "deleted": true
}

Promo Not Found Response (404)

{
  "code": "PROMO_NOT_FOUND",
  "message": "The promo code you entered doesn't exist."
}

Internal Server Error Response (500)

{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error."
}

Authorization

Path Parameters


Example Authorization Header